<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="Comment"
            type="com.trainee.challenge3.domain.Comment" />
    </data>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardCornerRadius="18dp"
        android:layout_margin="8dp"
        android:elevation="4dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="16dp">

            <ImageView
                android:id="@+id/iv_user_commentRow"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginEnd="8dp"
                android:contentDescription="@string/user_profile_image"
                android:src="@drawable/ic_baseline_account_circle_24" />

            <TextView
                android:id="@+id/tv_body_commentRow"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_toEndOf="@id/iv_user_commentRow"
                android:text="@{Comment.body}"
                android:textSize="14sp"
                tools:text="Body Comment Example" />

            <TextView
                android:id="@+id/tv_userNameI_commentRow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_body_commentRow"
                android:layout_toEndOf="@id/iv_user_commentRow"
                android:text="@string/user"
                android:textSize="14sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_userName_commentRow"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_body_commentRow"
                android:layout_marginStart="8dp"
                android:layout_toEndOf="@id/tv_userNameI_commentRow"
                android:text="@{Comment.name}"
                android:textSize="14sp"
                tools:text="User Name Example" />

            <TextView
                android:id="@+id/tv_userEmailI_commentRow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_userName_commentRow"
                android:layout_toEndOf="@id/iv_user_commentRow"
                android:text="@string/email"
                android:textSize="14sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_userEmail_commentRow"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_userName_commentRow"
                android:layout_marginStart="8dp"
                android:layout_toEndOf="@id/tv_userEmailI_commentRow"
                android:text="@{Comment.email}"
                android:textSize="14sp"
                tools:text="Mallory_Kunze@marie.org" />

        </RelativeLayout>

    </androidx.cardview.widget.CardView>

</layout>